summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xtests/mv/setup4
1 files changed, 4 insertions, 0 deletions
diff --git a/tests/mv/setup b/tests/mv/setup
index dad840ddb..c5604a0d2 100755
--- a/tests/mv/setup
+++ b/tests/mv/setup
@@ -17,6 +17,10 @@ other_partition_tmpdir=
# if the mount point name contains `% '.
dot_mount_point=`df --no-sync -P . | sed -n '2s/.*% *//p'`
for d in $CANDIDATE_TMP_DIRS; do
+
+ # Skip nonexistent directories.
+ test -d $d || continue
+
d_mount_point=`df --no-sync -P $d | sed -n '2s/.*% *//p'`
# Same partition? Skip it.